<?php
##### rrcemeteriessearch_ajx.php, created by ###Admin Cemeteries Search, by Robin Richmond
# It finds all unique values of the state, cemetery, or city fields given the
# higher-level "locales" (i.e. country, state, etc.)
# Input query-string parameter:
#  $jurisiction = 'state', 'county', or 'city'
#  $knownValues = The values for the higher-level jurisdications, separated by |
#  $defaultValue = Used to determine the option that is selected.
$tngModNames['Admin Cemeteries Search']['rrcemeteriessearch_ajx.php'] = '9'; #"Register" the mod

include("begin.php");
include("adminlib.php");
$textpart = "cemeteries";
$admin_cemeteries_search_cust_text = 1;
include("$mylanguage/admintext.php");
include('rrcemeteriessearch_lib.php'); #Function library also installed by the Admin Cemeteries Search mod.
#######################
#Read custom language strings from a mod subfolder rather than from traditional custom text files.
$modfolder = $admtext['rracs-modfolder'];
include("$modspath/$modfolder/languages/English_custtext.php");
if ($mylanguage != "languages/English" && file_exists("$modspath/$modfolder/{$mylanguage}_custtext.php"))
	include("$modspath/$modfolder/{$mylanguage}_custtext.php");

@set_time_limit(0);
session_write_close(); # Disable session writes so that other sessions can start.

header("Content-type:text/html; charset=" . $session_charset);
#remove the placeholder "(none)"
$knownValues = str_replace($admtext['rracs-none'], '', $knownValues);
$valuesArray = explode('|', $knownValues);
switch ($jurisdiction) {
	case 'state': #Given a Country, find states
		$whereCondition = "country='{$valuesArray[0]}'";
		$options = getLocationOptions($whereCondition, 'state', $defaultValue);
		break;

	case 'county': #Given a Country and state, find counties
		if ($defaultValue) {
			#When there is a default, focus on the city field, passing the first part
			#of the default value to getLocationOptions
			$defaults = explode('|', defaultValue);
			$whereCondition = "country=\"{$valuesArray[0]}\" AND state=\"{$valuesArray[1]}\"  AND county=\"{$defaults[1]}\"";
			$options = getLocationOptions($whereCondition, 'city', $defaults[0]);
		} else { #no default value. Just get a county list.
			$whereCondition = "country=\"{$valuesArray[0]}\" AND state=\"{$valuesArray[1]}\"" ;
			$options = getLocationOptions($whereCondition, 'county');
		} #end if there was a default value f
		break;

	case 'city,county' : #Given Country & state, find city,county pairs
		$whereCondition = "country=\"{$valuesArray[0]}\" AND state=\"{$valuesArray[1]}\"";
		$options = getLocationOptions($whereCondition, 'city,county');
		break;

	case 'city' : #Given Country, state, and county, find cities
		$whereCondition = "country=\"{$valuesArray[0]}\" AND state=\"{$valuesArray[1]}\"  AND county=\"{$valuesArray[2]}\"";
		$options = getLocationOptions($whereCondition, 'city' );
		break;
	default:
} #end switch
#getLocationOptions returns an options list and the default option.
#We just need the options list.
echo $options[0];
### Done
?>
