<?php
##### rrcemeteriessearchlib.php, created by ###Admin Cemeteries Search, by Robin Richmond
# A function library installed by the Admin Cemeteries Search mod.
# It contains functions that define the options lists for Country, State, County, and City
# selection fields.
# It is used by admin_cemeteries.php and by rrcemeteriessearch_ajx.php, which is also
# installed by the mod,
$tngModNames['Admin Cemeteries Search']['rrcemeteriessearchlib.php'] = '9'; #"Register" the mod

######################################
# PHP function to read a set of distinct alphabetized values from the Cemetery table and
# put them in an <option> list.
# if a value is empty, call it '(none)'.
# Return a 2-element array, where
#  array[0] is the list of options as a string with line breaks.
#  array[1] is the single option value if there was only one value; the empty string otherwise
# Input arguments:
#   The SQL where condition
#   The Cemeteries field we are looking at ('country', 'state', 'county', or 'city')
#   Default value that will be marked as 'selected'
function getLocationOptions ($whereCondition, $fieldname, $default='(all)') {
	global $cemeteries_table, $admtext;

	if ($default=='') $default = '(all)';
	$selectedoption = '';

	if ($whereCondition) $whereCondition = "WHERE $whereCondition";
	$query = "SELECT DISTINCT $fieldname FROM $cemeteries_table
		$whereCondition ORDER BY $fieldname";
	$result = tng_query($query);
	$optioncount = tng_num_rows( $result );
	$options = '';
	while( $row = tng_fetch_assoc($result)) {
		if ($fieldname == 'city,county') {
			$dbvalue = ($row['city'] ? $row['city'] : $admtext['rracs-none']) . '|'
				. ($row['county'] ? $row['county'] : $admtext['rracs-none']);
			$dbtext = str_replace('|', ', ', $dbvalue);
			$selected = ''; #There can't be a default in this circumstance
		} else { #Normal one-field situation
			$dbvalue = $dbtext = $row[$fieldname] ? $row[$fieldname] : $admtext['rracs-none'];
			if ($dbvalue == $default) {
				$selected = ' selected';
				$selectedoption = $dbvalue;
			} else $selected='';
		}
		$options .= "<option value=\"$dbvalue\"$selected>$dbtext</option>\n";
	}
	tng_free_result($result);
	#If there is more than one option, add an "All" option at the beginning of the list of options.
	if ($optioncount==0) {
		$options = "<option>{$admtext['rracs-none']}</option>";
		$selectedoption = $admtext['rracs-none'];
	} elseif ($optioncount ==1) {
		$selectedoption = $dbvalue;
	} else { #There was more than one option. Add <option value='(all)'>Select...</option>
		if ($fieldname=='country') $alloption = $admtext['rracs-select'];
		elseif ($fieldname=='state') $alloption = $admtext['rracs-select'];
		elseif ($fieldname=='county') $alloption = $admtext['rracs-selectcounty'];
		elseif ($fieldname=='city') $alloption = $admtext['rracs-selectcity'];
		elseif ($fieldname=='city,county') $alloption = $admtext['rracs-selectcc'];
		if ($default == '(all)' && !$selectedoption) {
			$selected = ' selected';
			$selectedoption = '(all)';
		} else $selected='';
		$options = "<option value='(all)'$selected>$alloption</option>\n" . $options;
	}
	return array($options,$selectedoption);
} #End of function getLocationOptions

?>